# License

The files in this repository are open-source but in different ways.

_Note : Karaoke Mugen software are under other licenses, please refer to the `LICENSE` files of each repository for more information._

## Quick explanation

- The database itself (`karaokes` and `tags` folder) is licensed upon the [Open Database License](./LICENSE_ODBL.md).
  - You are free to share the database, as long as you credit the original authors, you share this with the same license and you don't use DRM-like software to restrict database access.
- The medias are the property of their respective right holders (which can be found in the `creators` section of each karaoke).
- The karaokes (`lyrics` folder) are licensed under [CC-BY-SA 4.0](LICENSE_CC-BY-SA-4.0.md) for the sync work only, the lyrics are the property of their respective owners.

_This is a summary, not a substitute, please refer to these license texts for more details._

Read the entire document if you want to get more details.

## Database

The database is a set of JSON files containing data about this karaoke collection. All these files (located in `karaokes` and `tags` folder) are the work of the contributors of this base.

&copy; Karaoke Mugen **Data**base contributors 2017-2022 - The Karaoke Mugen **Data**base is made available under the Open Database License. Any rights in individual contents of the database are licensed under the Database Contents License. You should have received a copy of these licenses along with the database. If not, see https://opendatacommons.org/licenses/index.html

## Medias

Videos and music are the property of their respective right holders (which can be found in the `creators` section of each karaoke).

In each `kara.json` file (located in `karaokes`), we strive to fill as much as we can the creators (studios, publishers), the songwriters, the singers and the name of the original work (series or artist).

## Karaokes

All karaokes are property of their respective authors.

The sync work is licensed under [Creative Commons CC-BY-SA 4.0](./LICENSE_CC-BY-SA-4.0.md) for karaokes created for this base. The lyrics **remain** the property of their respective right holders (songwriters and/or publishers).

&copy; Karaoke Mugen Base contributors 2017-2022 - CC-BY-SA 4.0

### Imported karaokes

We sometimes import karaokes from other repositories such as Bakaclub, Japan7, etc. All of them have differents licensing terms and **may not** be compatible with CC-BY-SA 4.0. Unfortunately, we don't have a clear way to flag imported karaokes yet.

We try, as much as possible, to fill the `author` tag in the `.kara.json` files to credit the author of a karaoke. Some of them are under the "Karaoke Mugen" name simply because we are not sure of who created them. If you know, please submit a pull request or contact us.

## Contact

If you have questions about the license or wish to ask for a specific permission, feel free to [contact us](http://mugen.karaokes.moe/en/contact.html) or [open an issue](https://gitlab.com/karaokemugen/bases/karaokebase/issues/new?issue%5Bassignee_id%5D=&issue%5Bmilestone_id%5D=)
